Update signup page
curl --request PUT \
--url https://api.example.com/api/signup-pages/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_id": 1,
"number_range_id": 2,
"title": "SignUp Title",
"daily_summary_at": "09:30:00",
"summary_email": "comps@gmail.com",
"email_confirmation_required": true
}
'import requests
url = "https://api.example.com/api/signup-pages/{id}"
payload = {
"company_id": 1,
"number_range_id": 2,
"title": "SignUp Title",
"daily_summary_at": "09:30:00",
"summary_email": "comps@gmail.com",
"email_confirmation_required": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_id: 1,
number_range_id: 2,
title: 'SignUp Title',
daily_summary_at: '09:30:00',
summary_email: 'comps@gmail.com',
email_confirmation_required: true
})
};
fetch('https://api.example.com/api/signup-pages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"title": "SignUp Title",
"unique_id": "fb3733bd-b05b-47ba-ab2b-a2d59e1d33f2",
"company": {
"id": 1,
"name": "Acme Inc."
},
"number_range": {
"id": 2,
"title": "Main Range"
},
"daily_summary_at": "09:30:00",
"summary_email": "comps@gmail.com",
"email_confirmation_required": true,
"created_at": "2025-05-27 10:00:00",
"updated_at": "2025-05-27 10:05:00"
}{
"message": "Signup page not found."
}Signup Pages
Update signup page
PUT
/
api
/
signup-pages
/
{id}
Update signup page
Authorizations
Enter your JWT token in the format 'Bearer '
Path Parameters
Example:
1
Body
application/json
Response
Signup page updated
Example:
1
Example:
"SignUp Title"
Example:
"fb3733bd-b05b-47ba-ab2b-a2d59e1d33f2"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"09:30:00"
Example:
"comps@gmail.com"
Example:
true
Example:
"2025-05-27 10:00:00"
Example:
"2025-05-27 10:05:00"
⌘I